--- valgrind-3.3.1.oorig/callgrind/sim.c	2008-06-01 03:38:39.000000000 +0200
+++ valgrind-3.3.1/callgrind/sim.c	2008-11-17 10:51:52.000000000 +0100
@@ -1365,7 +1365,7 @@
 /*--- Cache configuration                                  ---*/
 /*------------------------------------------------------------*/
 
-#define UNDEFINED_CACHE     ((cache_t) { -1, -1, -1 }) 
+#define UNDEFINED_CACHE	{ -1, -1, -1 }
 
 static cache_t clo_I1_cache = UNDEFINED_CACHE;
 static cache_t clo_D1_cache = UNDEFINED_CACHE;
